transcript on
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

vcom -93 -work work {divider.vhd}
vcom -93 -work work {core_math.vhd}
vcom -93 -work work {pixel_ram.vhd}
vcom -93 -work work {ray_unit.vhd}
vcom -93 -work work {buffered_line_generator.vhd}
vcom -93 -work work {video_generator.vhd}
vcom -93 -work work {ray_tracer_renderer.vhd}

vcom -93 -work work {ray_tracer_renderer_tester.vhd}

vsim -t 1ns -L lpm -L altera -L altera_mf -L sgate -L cycloneii -L rtl_work -L work ray_tracer_renderer_tester 
add wave *
view structure
view signals
